Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc.nonxa
Class DriverManagerDataSource

    java.lang.Object
      com.atomikos.jdbc.nonxa.DriverManagerDataSource

All Implemented Interfaces:
  Serializable, DataSource

Deprecated. As of release 3.3, the `AtomikosNonXADataSourceBean` should be used instead.

    public class DriverManagerDataSource

extends Object
implements DataSource, Serializable

A DataSource implementation that uses the DriverManager to get connections. Instances can be used to access JDBC drivers that don't offer a DataSource implementation of their own. Note: to do transactions, you should wrap instances in a NonXADataSourceImp object!

See Also:
  Serialized Form

Constructor Summary
`DriverManagerDataSource()` Deprecated.

Method Summary
`Connection` | `getConnection()` Deprecated.
`Connection` | `getConnection(String user, String pw)` Deprecated.
`String` | `getDriverClassName()` Deprecated.
`int` | `getLoginTimeout()` Deprecated.
`PrintWriter` | `getLogWriter()` Deprecated.
`String` | `getUrl()` Deprecated.
`String` | `getUser()` Deprecated.
`void` | `setDriverClassName(String string)` Deprecated.
`void` | `setLoginTimeout(int secs)` Deprecated.
`void` | `setLogWriter(PrintWriter arg0)` Deprecated.
`void` | `setPassword(String string)` Deprecated.
`void` | `setUrl(String string)` Deprecated.
`void` | `setUser(String string)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverManagerDataSource

    public DriverManagerDataSource()

  Deprecated.

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Deprecated.
  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.getConnection()`

### getConnection

    public Connection getConnection(String user,
                                    String pw)
                             throws SQLException

  Deprecated.
  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.getConnection(java.lang.String, java.lang.String)`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Deprecated.
  Specified by:
    `getLogWriter` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.getLogWriter()`

### setLogWriter

    public void setLogWriter(PrintWriter arg0)
                      throws SQLException

  Deprecated.
  Specified by:
    `setLogWriter` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.setLogWriter(java.io.PrintWriter)`

### setLoginTimeout

    public void setLoginTimeout(int secs)
                         throws SQLException

  Deprecated.
  Specified by:
    `setLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.setLoginTimeout(int)`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Deprecated.
  Specified by:
    `getLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`
  See Also:
    `DataSource.getLoginTimeout()`

### getUrl

    public String getUrl()

  Deprecated.

### getUser

    public String getUser()

  Deprecated.

### setPassword

    public void setPassword(String string)

  Deprecated.

### setUrl

    public void setUrl(String string)

  Deprecated.

### setUser

    public void setUser(String string)

  Deprecated.

### getDriverClassName

    public String getDriverClassName()

  Deprecated.

### setDriverClassName

    public void setDriverClassName(String string)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.